com.sun.messaging.jms.management.server

## Class ServiceOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.ServiceOperations

    public class ServiceOperations
    extends java.lang.Object

Class containing information on service operations.

### Field Summary

Fields
`static java.lang.String` `GET_CONNECTIONS` Get list of connection MBean object names
`static java.lang.String` `GET_CONSUMER_IDS` Get list of consumer IDs.
`static java.lang.String` `GET_PRODUCER_IDS` Get list of producer IDs.
`static java.lang.String` `GET_SERVICES` Get list of service MBean object names
`static java.lang.String` `PAUSE` Pause service.
`static java.lang.String` `RESUME` Resume service.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GET_SERVICES

    public static final java.lang.String GET_SERVICES

Get list of service MBean object names

See Also:
  Constant Field Values

#### GET_CONNECTIONS

    public static final java.lang.String GET_CONNECTIONS

Get list of connection MBean object names

See Also:
  Constant Field Values

#### GET_CONSUMER_IDS

    public static final java.lang.String GET_CONSUMER_IDS

Get list of consumer IDs.

See Also:
  Constant Field Values

#### GET_PRODUCER_IDS

    public static final java.lang.String GET_PRODUCER_IDS

Get list of producer IDs.

See Also:
  Constant Field Values

#### PAUSE

    public static final java.lang.String PAUSE

Pause service.

See Also:
  Constant Field Values

#### RESUME

    public static final java.lang.String RESUME

Resume service.

See Also:
  Constant Field Values